; homeall.g
; called to home all axes
;

G91               ; relative positioning
G1 Z10 F6000 S2    ; lift Z relative to current position
G90 ; Absolute coordinates

; Home X
G1 X-130 F1800 S1 ; Move quickly to X axis endstop and stop there (first pass)
G1 X5 F6000       ; go back a few mm
G1 S1 X-130 F360 ; Move slowly to X axis endstop and stop there (second pass)

; Home U
G1 U-130 F1800 S1 ; Move quickly to U axis endstop and stop there (first pass)
G1 U5 F6000       ; go back a few mm
G1 S1 U-130 F360 ; Move slowly to U axis endstop and stop there (second pass)

; Home Y
G1 S1 Y-175 F1800 ; move quickly to Y axis endstop and stop there (first pass)
G1 Y5 F6000       ; go back a few mm
G1 S1 Y-175 F360  ; move slowly to Y axis endstop once more (second pass)

; Home Z
M18 Z

; Go to center bed probe point and home the first Z tower
M584 Z2
G1 X90 Y55 F12000
G30

; lift Z after probing

G1 X115 F12000 ; park first toolhead

; Go to center bed probe point and home the second Z tower
M584 Z5
M18 Z
G1 U90 Y97.88 F12000
G30

; lift Z after probing

G1 U115 F12000 ; park second toolhead

M584 Z2:5 ; join both Z together
